# relative to datadir
%define type1fontdir fonts/urw-base35/
%define debug_package %{nil} 
Name:           gracegtk
Version:        1.3.0
Release: 27.fc40
Summary:        GraceGTK is an evolution of the grapher Grace which is a Numerical Data Processing and Visualization Tool

License:        GPLv2+
# cephes is LGPL, see also Source3 and Source4
URL:            https://sourceforge.net/p/gracegtk/home/gracegtk/
Source0:        https://sourceforge.net/projects/gracegtk/files/gracegtk-%{version}.tar.gz
Source1:        %{name}.desktop
Source3:        cephes-license.email
Source4:        LICENSE.cephes
Source5:        %{name}-icons.tgz
Source6:        %{name}-profile.sh
Source7:        FontDataBase

Patch0:		gracegtk-remove-xfig-fonts.patch
Patch1:		gracegtk-rc-window.patch

BuildRequires:  gsl-devel t1lib-devel fftw-devel zlib-devel
BuildRequires:  cairo-devel gtk2-devel gcc-gfortran blas-devel libscs-devel libICE-devel atlas-devel netcdf-devel 
BuildRequires:  cups-devel xdrfile-devel 
BuildRequires:  linuxdoc-tools
BuildRequires:  desktop-file-utils
BuildRequires:  urw-base35-fonts
Requires:       urw-base35-fonts
Requires:       gsl t1lib fftw zlib cairo gtk2 gcc-gfortran blas libscs atlas 
Requires:       libICE netcdf xdrfile
Requires:       nedit
Requires:       xdg-utils

%description
GraceGTK is an application for two-dimensional data visualization.
GraceGTK can transform the data using free equations, FFT, cross- and
auto-correlation, differences, integrals, histograms, and much
more. The generated figures are of high quality.  GraceGTK is a very
convenient tool for data inspection, data transformation, and for
making figures for publications.

#%package devel
#Summary:        Files needed for gracegtk development
#License:        LGPLv2+
#Requires:       %{name} = %{version}-%{release}
#Provides:       %{name}-static = %{version}-%{release}

#%description devel
#Install these files if you need to compile software that requires gracegtk.

%prep
%setup -q -D -a 5
%patch0 -p1
%patch1 -p1

%build
cp %{SOURCE3} %{SOURCE4} %{SOURCE5} %{SOURCE6}  .

#./configure --prefix=/usr --enable-grace-home=/usr/share/gracegtk --bindir=/usr/bin --datadir=/usr/share/gracegtk --mandir=/usr/share/man/man1 --sysconfdir=/etc/gracegtk
make all

%install
make install DESTDIR=%{buildroot}

mkdir -pm 755                               \
    %{buildroot}%{_bindir}                  \
    %{buildroot}%{_datadir}/icons/hicolor/48x48/apps \
    %{buildroot}%{_datadir}/applications    \
    %{buildroot}%{_datadir}/gracegtk    \
    %{buildroot}%{_datadir}/man/man1    \
    %{buildroot}%{_sysconfdir}/%{name}
#    %{buildroot}%{_libdir}                  \
#    %{buildroot}%{_includedir}              \
#    %{buildroot}%{_mandir}/man1 

#
# Let's have some sanity
#
cp CHANGES COPYRIGHT DEVELOPERS LICENSE README %{buildroot}%{_datadir}/%{name}
rm -rf %{buildroot}/%{_datadir}/%{name}/doc
mkdir -p %{buildroot}/%{_datadir}/%{name}/doc
install -pm 644 doc/GraceGTK.pdf %{buildroot}/%{_datadir}/%{name}/doc/GraceGTK.pdf
 
pushd %{buildroot}/usr/share/gracegtk
mv bin/ggrace{,_bin}
echo "export GRACEGTK_HOME=/usr/share/gracegtk/" > bin/ggrace
echo "/usr/bin/ggrace_bin \"\$*\" 2>/dev/null" >>  bin/ggrace
chmod a+x bin/ggrace

rm -f bin/convcal
install -pm 755 bin/* %{buildroot}%{_bindir}/
rm -rf bin
ln -s %{_bindir} %{buildroot}%{_datadir}/%{name}/bin

#cp -p lib/*   %{buildroot}%{_libdir}/
rm -rf lib
#ln -s %{_libdir} %{buildroot}%{_datadir}/%{name}/lib

#install -pm 644 include/* %{buildroot}%{_includedir}/
rm -rf include
#ln -s %{_includedir} %{buildroot}%{_datadir}/%{name}/include

# use fonts from type1fontdir
rm -rf fonts/type1
##
ln -sf %{_datadir}/%{type1fontdir} fonts/type1
cp -f %{SOURCE7} fonts/FontDataBase
mv fonts/FontDataBase %{buildroot}%{_sysconfdir}/%{name}
ln -s ../../../../%{_sysconfdir}/%{name}/FontDataBase fonts/FontDataBase

# the convcal source file shouldn't be installed, it is removed here
rm -f auxiliary/convcal.c

# move config files to %%{_sysconfdir} and do symlinks
for conf in %{name}rc templates %{name}rc.user; do
    mv $conf %{buildroot}%{_sysconfdir}/%{name}
    ln -sf %{_sysconfdir}/%{name}/$conf %{buildroot}%{_datadir}/%{name}/$conf
done

popd

#
# Desktop stuff
#
tar xvf %{name}-icons.tgz -C %{buildroot}
mkdir %{buildroot}%{_sysconfdir}/profile.d/
cp gracegtk-profile.sh %{buildroot}%{_sysconfdir}/profile.d/

desktop-file-install \
    --dir %{buildroot}%{_datadir}/applications          \
    %{SOURCE1}

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%license LICENSE
%doc CHANGES COPYRIGHT DEVELOPERS LICENSE README
%doc cephes-license.email LICENSE.cephes
%config(noreplace) %{_sysconfdir}/%{name}/
%attr(0755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%exclude %{_datadir}/%{name}/include
%exclude %{_datadir}/%{name}/lib
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/grace.png
#%{_mandir}/man1/*.1*
%{_sysconfdir}/profile.d/gracegtk-profile.sh

#%files devel
#%license grace_np/LICENSE
#%{_includedir}/grace_np.h
#%{_datadir}/%{name}/include
#%{_libdir}/libgrace_np.a
#%{_datadir}/%{name}/lib

%changelog
